Home
Reading
Searching
Subscribe
Sponsors
Statistics
Posting
Contact
Spam
Lists
Links
About
Hosting
Filtering
Features Download
Marketing
Archives
FAQ
Blog
 
Gmane
From: <updates <at> fedoraproject.org>
Subject: [SECURITY] Fedora 18 Update: moodle-2.3.8-2.fc18
Newsgroups: gmane.linux.redhat.fedora.package.announce
Date: Tuesday 23rd July 2013 01:08:00 UTC (over 3 years ago)
--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2013-12950
2013-07-14 01:33:25
--------------------------------------------------------------------------------

Name        : moodle
Product     : Fedora 18
Version     : 2.3.8
Release     : 2.fc18
URL         : http://moodle.org/
Summary     : A Course Management System
Description :
Moodle is a course management system (CMS) - a free, Open Source software
package designed using sound pedagogical principles, to help educators
create
effective online learning communities.

--------------------------------------------------------------------------------
Update Information:

Latest upstream release for this branch.
Correct unbundling of php-pear-HTML-Quickform.
Fix for:
MSA-13-0025: XSS vulnerability in YUI library
MSA-13-0026: Personal information leak in IMS-LTI
CVE-2013-2242 MSA-13-0027: Access issue in Chat module
CVE-2013-2243 MSA-13-0028: Answer information revealed in Lesson activity
CVE-2013-2244 MSA-13-0029: XSS risk in conditional activities
CVE-2013-2245 MSA-13-0030: Information leak through RSS
CVE-2013-2246 MSA-13-0031: Personal information leak in Feedback activity
--------------------------------------------------------------------------------
ChangeLog:

* Fri Jul 12 2013 Jon Ciesla  - 2.3.8-2
- Include two non-upstream additions to HTML-Quickform.
* Fri Jul 12 2013 Jon Ciesla  - 2.3.8-1
- 2.3.8.
* Mon May 20 2013 Jon Ciesla  - 2.3.7-1
- Latest upstream, patch for multiple CVEs
* Mon Mar 25 2013 Jon Ciesla  - 2.3.6-1
- Latest upstream, patch for multiple CVEs
* Tue Jan 15 2013 Jon Ciesla  - 2.3.4-1
- Latest upstream, patch for CVE-2012-6087.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #947252 - Moodle does not work because PHP error: Cannot
redeclare class dml_exception
        https://bugzilla.redhat.com/show_bug.cgi?id=947252
  [ 2 ] Bug #985654 - moodle: CVE-2013-2242 CVE-2013-2243 CVE-2013-2244
CVE-2013-2245 CVE-2013-2246 moodle: upstream 2.5.1, 2.4.5, 2.3.8, 2.2.11
security fixes [epel-all]
        https://bugzilla.redhat.com/show_bug.cgi?id=985654
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update moodle' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on
the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
--------------------------------------------------------------------------------
_______________________________________________
package-announce mailing list
[email protected]
https://admin.fedoraproject.org/mailman/listinfo/package-announce
 
CD: 3ms